// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_BreakStruct.h"
#include "K2Node_BreakStruct.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_BreakStruct::SCW_UK2Node_BreakStruct(UK2Node_BreakStruct* InK2Node_BreakStruct) : SCW_UK2Node_StructMemberGet(InK2Node_BreakStruct), K2Node_BreakStruct(InK2Node_BreakStruct)
{

}

UK2Node_BreakStruct* SCW_UK2Node_BreakStruct::ToUK2Node_BreakStruct() const
{
	return K2Node_BreakStruct;
}

ISCW_UK2Node_BreakStructPtr SCW_UK2Node_BreakStruct::ToUK2Node_BreakStructPtr()
{
	return GetSharedThisAs<SCW_UK2Node_BreakStruct>();
}

ISCW_UK2Node_BreakStructConstPtr SCW_UK2Node_BreakStruct::ToUK2Node_BreakStructPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_BreakStruct>();
}